Subject: Re: Last Call for Comments on " Legal Provisions Relatedto IETFDocuments"

From: "TS Glassey" <[email-masked]>
Date: Mon, 8 Sep 2008 19:42:58 -0700

Harald - if the source of the code snippets isnt listed then how will anyone 
do diligence on those IP's to determine patent or other external copyrights. 
The point is to enable people to do diligence on IETF IP's easily not make 
it harder.

Todd Glassey

----- Original Message ----- 
From: "Harald Tveit Alvestrand" <[email-masked]>
To: "Simon Josefsson" <[email-masked]>
Cc: "Contreras, Jorge" <[email-masked]>; <[email-masked]>; 
"Ed Juskevicius" <[email-masked]>
Sent: Tuesday, August 12, 2008 11:21 PM
Subject: Re: Last Call for Comments on " Legal Provisions Relatedto 
IETFDocuments"

> Simon Josefsson skrev:
>> "Contreras, Jorge" <[email-masked]> writes:
>>
>>
>>>> Please remove section 4.d completely.
>>>>
>>> I understand the point.  Several participants at the IPR-WG meeting
>>> requested this addition, but I would ask the list to reconsider in light
>>> of your feedback.
>>>
>>
>> Thanks.
>>
>> For what it's worth, I can't seem to find anything in the IPR WG minutes
>> that touches on this topic.
>>
> I don't mind removing 4.d again
>
> I am somewhat confused, though - removing section 4.d means that one can 
> reuse the code components without identifying the source from which they 
> were taken at all, which seems to run counter to the general idea that all 
> reuse of IETF contributions should properly acknowledge their source.
>
> It may be that the best way to achieve this is to ask for an 
> acknowledgement, rather than demanding one - with all the ways code is 
> used, making very hard rules may reduce people's ability to do what they 
> have to do unneccessarily.
>>
>>>> The text to add would be:
>>>>
>>>>        To clarify, the entire license for Code Components is the above
>>>>        BSD license, and if you use this license for a Code Component,
>>>>        the license terms in section 3 does not apply to that material.
>>>>
>>> I agree that we should clarify:  the license under Section 3 is the ONLY
>>> license applicable to extracted Code Components.  The other licenses
>>> relate to the code-as-text in RFC and other documents.
>>>
>>
>> Exactly.
>>
> I think this is a good clarification, and certainly was the intent.
> (one earlier version of the text would have seemed to accidentally remove 
> the permission to quote a piece of an RFC that included both text and 
> code - I'm certain this wasn't the intent).
>>
>>>> #3:
>>>>
>>>> The URL given for "common code components" doesn't work:
>>>> www.ietf.org/trust/code.
>>>>
>>>> Thanks,
>>>> /Simon
>>>>
>>> That's just a placeholder.  The code components list has not changed
>>> from the 7/18 version.  It will simply be moved to a URL that is
>>> operable once this document is final.
>>>
>>
>> The table found at
>> http://trustee.ietf.org/docs/Code_Components_List_8-12-08.txt has been
>> modified compared to the 7/18 version though: the entry for 'algorithms
>> described in pseudocode' has been removed, which means it would no
>> longer be considered as a code component.
> After discussion on this list, it was made clear that the WG had not 
> agreed to include pseudocode, so the list was adjusted back to what the WG 
> had agreed on.
>
>                     Harald
>
>
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipr-wg 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg